/* *************************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*************************************************************************************
	Ex.:
	Button *btnOk = new Button;
	btnOk->SetText("Ok");
	btnOk->debugInfo="btnOk";
	btnOk->onClick.Link(OnButtonOk);

	TextBox *txtInfo = new TextBox;
	txtInfo->SetText("Hello Word !!");
	txtInfo->debugInfo="txtInfo";
	txtInfo->onMouse.leftBtn.up.Link(OnTextClick);

	window.client+=txtInfo;
	window.client+=btnOk;
******************************************************************************** */

#include "3d.h"
#include "input.h"
#include "controlEngine.h"
#include "container.h"
#include "mylist.h"

extern ControlEngine ce;

void Container::Create(double depth)
{
	SetParent();
	faceNode = ce.primitive.AddBox(name,id,depth,FALSE); 
	faceNode->elem->material.SetDS(.75,.75,.75);
/*
	ce.primitive.Push(FACE_FRONT); 
		for (controls=0;controls.More();controls++)
		{
			Control *control=controls.GetElem();
			control->Create();
		}
	ce.primitive.Pop();
*/
}

// ********************************************************************************

Container::Container()
{
	name="Container";
}

Container::~Container()
{
}

// ********************************************************************************

void Container::ToString(MyString &str)
{
	str.AddFormat("name: %s",name);
}