/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file dock.h
\brief Control Dock
*/

#ifndef INCLUDE_DOCK_H
#define INCLUDE_DOCK_H

#include "control.h"

#define DEFAULT_WIDTH 0.1

/*!
\brief
Test le click sur une zone cubique
(a utiliser pour faire un "Splitter")
*/
class Dock : public Control
{
public:
	double width;
	double x,y,z;

	Dock()
	{
		width = DEFAULT_WIDTH;
	}

	void Set (double _x,double _y,double _z,double width=-1)
	{
		x=_x;
		y=_y;
		z=_z;
		if (width==-1) width = DEFAULT_WIDTH;
	}

	~Dock()
	{
	}
};

#endif