/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html	
*********************************************************************************** */

/*! \file msgBox.h
\brief Control MsgBox
*/

#ifndef INCLUDE_MSG_BOX_H
#define INCLUDE_MSG_BOX_H

#include "control.h"

/*!
\brief equivalent de l'API "MessageBox" de Windows

Compos d'une zone de text et de boutton "Ok" et "Cancel"
*/
class MsgBox: public Window 
{
public:
	// dans la zone client
	Button btnOk;
	Button btnCancel;
	TextBox txtInfo;
	TextBox txtHelp;
	TextBox txtTranche;

	BOOL useCancel;

	MsgBox();
	~MsgBox();
	virtual void Create();
	int OnClose(); // bouton close de la zone client click
	int OnButtonOk (); // bouton ok de la zone client click
};

#endif