/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html	
*********************************************************************************** */

/*! \file msgBox.h
\brief Control TaskWindow
*/

#ifndef INCLUDE_TASK_WINDOW_H
#define INCLUDE_TASK_WINDOW_H

#include "control.h"
#include "window.h"

class ElemTaskWindow
{
public:
	Button button;
	Title *title;
};

class TaskWindow: public Window 
{
private:
	MyList<ElemTaskWindow> tasks;
	int Find(Title *title);
	Timer timerSupr;
	int OnTimerSupr(Timer *);

public:
	// dans la zone client
	TextBox txtTranche;

	TaskWindow();
	~TaskWindow();
	virtual void Create();
	BOOL Add(Title *title);		
	BOOL Restore(Title *title);	
	void Refresh();

};

#endif