/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file toolsTip.h
\brief Control ToolsTip
*/

#ifndef INCLUDE_TOOLSTIP_H
#define INCLUDE_TOOLSTIP_H

#include "control.h"

/*!
\brief
Class de parametre et d'evenement d'un "ToolsTip"
*/

class Tip : public Control
{
public:
	// varaible membre
	Text3D text;
	
	Tip();
	~Tip();

	void Create();
	void operator=(char *newCaption);
	void SetText(char *newCaption);
	void ToString(MyString &str);
};

#endif