/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file variable.h
\brief Variable active ou pas
*/

#ifndef INCLUDE_VARIABLE_H
#define INCLUDE_VARIABLE_H

/*!
\brief
Variable active ou pas
*/
template <class T> class Enabling
{
public:
	BOOL isEnable;
	T elem;

	Enabling()
	{
		isEnable = FALSE;
	}

	void operator=(T source)
	{
		Set(source);
	}

	void Set(T source)
	{
		elem = source;
		isEnable = TRUE;
	}

	void ToString(MyString &source)
	{
		source<<"[enable,value]: "<<isEnable<<" , "<<elem;
	}
};

#endif