#if !defined(AFX_MYEXCEPTION_H__70AB5B86_0239_4F62_B3F5_61A033D526AF__INCLUDED_)
#define AFX_MYEXCEPTION_H__70AB5B86_0239_4F62_B3F5_61A033D526AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyString.h"

class MyException
{
	private:
		MyString m_message;
		MyString m_param;
		MyString m_methodeName;
		MyString m_className;

	public:
		MyException()
		{
		}

		MyException(char *className,char *methodeName,char *message,char *param=NULL)
		{
			Init(className,methodeName,message,param);
		}

		void Init (char *className,char *methodeName,char *message,char *param=NULL)
		{
			m_message = message;
			m_methodeName = methodeName;
			m_className = className;
			m_param = param;
			MessageBox(); // for debug
		}

		int MessageBox()
		{
			MyString temp;
			temp<<"Context: "<<m_className<<m_methodeName<<"\nMessage: "<<m_message;
			if (m_param != "") temp<<"\nValue: "<<m_param;
			return ::MessageBox(NULL,temp,"Error Exception",0);
		}
};

class MyExceptionMemory : public MyException
{
	public:
		MyExceptionMemory(char *className,char *methodeName,long size)
		{
			MyString temp;
			temp<<"no more memory for "<<size<<" bytes";
			Init(className,methodeName,temp);
		}
};

class CMsgBox
{
	public:
		MyString m_message;
		MyString m_title;
		int		  m_style;

	public:
		CMsgBox(char *message,char *title,int style=0)
		{
			m_message = message;
			m_title = title;
			m_style = style;
		}

		int MessageBox()
		{
			return ::MessageBox(NULL,m_message,m_title,m_style);
		}
};

#endif // !defined(AFX_MYEXCEPTION_H__70AB5B86_0239_4F62_B3F5_61A033D526AF__INCLUDED_)
