/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file container.h
\brief Control Container
*/

#ifndef INCLUDE_CONTAINER_H
#define INCLUDE_CONTAINER_H

#include "myList.h"
#include "title.h"

class EventContainer
{
public:
};

/*!
\brief
Class de parametre et d'evenement d'un "Container" qui peut contenir un autre control
*/
class Container : public Control
{
public:
	EventContainer onContainer;

	Container();
	~Container();
	virtual void Create() { Create(DEFAULT_DEPTH_CONTAINER); } // Createur pour container
	void Create(double depth);
	void ToString(MyString &str);
};

#endif