/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file control_instance.h
\brief 	instanciation static

doit etre inclus a partir du fichier main
sinon les constructeur des class utiliss dans les variables static 
peuvent etre lanc apres leur utilisation dans les variables global
*/

#include "control.h"

MyList<Control *> Control::controls; 
int Control::nextId = 2;
Inertia Control::inertia;
Timer Control::timerAutoWheel;
Timer Control::timerSleeped;
BOOL Control::leftDown;
BOOL Control::rightDown;
BOOL Control::midDown;