/* *************************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
************************************************************************************* */

#include "math.h"
#include "equations.h"

/*!
\brief Equation de form y=1/x

Donnant pour: x=[0,1] ==> y=[0,1]		(Transpose de x=[0.25,1] ==> y=[4,1])
*/
double Equ_1SURX(double x)
{
	return 1.0-((1.0/((x*0.75)+0.25))-1.0)/3.0;
}