/* *************************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
************************************************************************************* */

#include "3d.h"
#include "mastercontainer.h"
#include "controlEngine.h"

extern ControlEngine ce;

// ********************************************************************************

MasterContainer::MasterContainer()
{
}

MasterContainer::~MasterContainer()
{
}

// ********************************************************************************

void MasterContainer::Create()
{	// creation graphics
	SetParent(); // ne sert a rien car il n'a pas de parent
	name="MasterContainer";
	faceNode = ce.primitive.AddFace("MasterContainer",id,-1,FALSE,0,0,0,0,0,0,1,0,1);
	faceNode->elem->size.x.SetPercent(1,&ce.dxWin);
	faceNode->elem->size.y.SetPercent(1,&ce.dyWin);
}

void MasterContainer::ToString(MyString &str)
{
	str.AddFormat("name: %s",name);
}
