/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file openGL_tools.h
\brief Outils OpenGL
*/

#ifndef INCLUDE_OPENGL_TOOLS_H
#define INCLUDE_OPENGL_TOOLS_H

BOOL	OpenGL_TestError(BOOL resultOnMessageBox=TRUE,BOOL resultOnMyDebug=FALSE,HWND hWnd=NULL);
void	OpenGL_ViewVersionExtansions(char *extensions,MyString &result);
void	OpenGL_ViewVersion();
int		OpenGL_InitMultisample(HWND hWnd);
BOOL	OpenGL_ExtensionSupported(const char *extension);

void accFrustum(GLdouble left, GLdouble right, GLdouble bottom, 
				GLdouble top, GLdouble znear, GLdouble zfar, GLdouble pixdx, 
				GLdouble pixdy, GLdouble eyedx, GLdouble eyedy, GLdouble focus);
void accPerspective(GLdouble fovy, GLdouble aspect, 
					GLdouble znear, GLdouble zfar, GLdouble pixdx, GLdouble pixdy, 
					GLdouble eyedx, GLdouble eyedy, GLdouble focus);
#endif
