/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
**************************************************************************************
	
*********************************************************************************** */

/*! \file systray.h
\brief Affiche un systray avec un menu

	- Debuger
	- Aide
	- Apropos
	- Fermer
*/

#ifndef INCLUDE_SYSTRAY_3D_CONTROL
#define INCLUDE_SYSTRAY_3D_CONTROL

#define URL_3D_CONTROLS		"http://mignonsoft.free.fr/logiciel/3d_controls"
#define URL_FORUM			"http://mignonsoft.free.fr/forum"
#define URL_LICENCE			"http://www.gnu.org/copyleft/gpl.html"
#define MAIL_ADRESS			"sebastien.bloc@free.fr"
#define TITLE_NAME			"3D Controls"

LRESULT WINAPI AboutProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT WINAPI SysTrayProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT WINAPI ConfigProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

#endif