/* ***********************************************************************************
	Writer:		Sebastien Bloc
	Copyright:	2003-2004
	eMail:		sebastien.bloc@free.fr
	URL:		http://mignonsoft.free.fr

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	http://www.gnu.org/copyleft/gpl.html
*********************************************************************************** */

/*! \file windowTools.h
\brief Fonction simple sur le fenetrage Windows
*/

#ifndef INCLUDE_WINDOW_TOOLS_H
#define INCLUDE_WINDOW_TOOLS_H

#include "windowsx.h"
#include "commctrl.h"

BOOL GetWindowSize(HWND hWnd,int *dx,int *dy);
BOOL GetWindowPos(HWND hWnd,int *x,int *y);
BOOL SetWindowSize(HWND hWndControl,int dx,int dy);
LONG SetWindowStyle(HWND hWnd,int set,LONG dwStyle);
void SetFullScreen(HWND hWnd,BOOL isFull,BOOL isTopMost=FALSE);
void SetWindowTitle(HWND hWnd,char *title,BOOL enableTitle);
BOOL ToggleCheck(HWND hWnd,int idControl);
void PushButton(HWND hWnd,int idControl);
void ShowMouse(BOOL active);
BOOL GetDeltaWindow(HWND hWndParent,RECT *oldRect,int *deltaX,int *deltaY);
BOOL SetDeltaWindowSize(HWND hWndControl,int deltaX,int deltaY);
BOOL SetDeltaWindowPos(HWND hWndControl,int deltaX,int deltaY);
void TreeView_ExpandAll (HWND hTree,BOOL expand,HTREEITEM rootTree=NULL);
void TreeView_ExpandAll_Level (HWND hTree,BOOL expand,int levelMax,HTREEITEM rootTree=NULL);
void MoveToBorderTask (HWND hUpdatingWnd);

#endif